Package Details: esniper 2.35.0-0

Git Clone URL: https://aur.archlinux.org/esniper.git (read-only, click to copy)
Package Base: esniper
Description: A simple, lightweight tool for sniping eBay auctions.
Upstream URL: http://esniper.sourceforge.net/
Licenses: BSD
Conflicts: esniper-git
Submitter: None
Maintainer: janis.mezitis
Last Packager: janis.mezitis
Votes: 70
Popularity: 0.000006
First Submitted: 2006-06-27 15:39 (UTC)
Last Updated: 2018-07-04 16:54 (UTC)

Latest Comments

duckdalbe commented on 2018-07-04 13:02 (UTC)

The esniper-git is unfortunately not an alternative because it pulls code from an outdated mirror, instead of upstream.

duckdalbe commented on 2018-07-04 13:00 (UTC)

Version 2.35 ist downloadable as a proper release now, the PKGBUILD still works as is. Can you please update the version and checksum?

(sha512sum here: 'd35c869442d7ceeb116c3f68d928eb4ff99ba3ac12f60e74dc79bfb7981b1897537f19e38dc095f8ea4b00149fe056f227f099c36127252400dc8a7a9cce17ce')

FoPref commented on 2018-05-23 21:43 (UTC)

This version is outdated as upstream 'released' a new version in their git but without doing a proper release.

Use esniper-git package to get a version that works with current ebay.

srgdts commented on 2017-03-13 20:17 (UTC)

--- a/PKGBUILD +++ b/PKGBUILD @@ -1,33 +1,27 @@ # Maintainer: Bjoern Franke <bjo@nord-west.org> pkgname=esniper -pkgver=2.32.0 -pkgrel=1 -pkgver_stripped='2-32-0' +pkgver=2.33.0 +pkgrel=0 +_pkgver_stripped='2-33-0' pkgdesc="A simple, lightweight tool for sniping eBay auctions." arch=('i686' 'x86_64' 'armv6h' 'armv7h' 'arm') url="http://esniper.sourceforge.net/" license=('BSD') depends=('curl' 'openssl') -source=(http://downloads.sourceforge.net/esniper/${pkgname}-${pkgver_stripped}.tgz 'http://esniper.cvs.sourceforge.net/viewvc/esniper/esniper/auction.c' ) +source=(http://downloads.sourceforge.net/esniper/${pkgname}-${_pkgver_stripped}.tgz) -sha512sums=('b32e93ee964489d560d9123ce5f87c5cbf94d9a0198196095a0b85411ed4ad6657f7a2531e24c1e51644562b433e418faa56b62abd8f0b6e95ce6014a746d7af' - '0aea2a9e1ea3f73d777058b9f8cc1394e24a5fe947073eeefc93c88bc2778bd112aa9cd5b435f7bb102f1d518ba5fe66be6c878c6ed6471016214b9c168594e9') - -prepare() -{ - mv "${srcdir}/auction.c" "${srcdir}/${pkgname}-${pkgver_stripped}/auction.c" -} +sha512sums=('0ce5d1f1d4860cc52c69be620fdd99065c8ac8b70e0f0042fd7426542aee78be31fa2acf2c3b230467cf20491c1238a36d7cd196238aecaff39a9560a267edd0') build() { - cd "${srcdir}/${pkgname}-${pkgver_stripped}" + cd "${srcdir}/${pkgname}-${_pkgver_stripped}" ./configure --prefix=/usr make } package() { - cd "${srcdir}/${pkgname}-${pkgver_stripped}" + cd "${srcdir}/${pkgname}-${_pkgver_stripped}" make DESTDIR="${pkgdir}" install install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" install -D -m755 frontends/snipe "${pkgdir}/usr/bin/snipe"

svenihoney commented on 2016-11-20 10:45 (UTC)

Again: Please add armv7h, works perfectly on cubietruck!

janis.mezitis commented on 2016-10-29 18:05 (UTC)

Patched with: http://sprunge.us/OjeN

blkqi commented on 2016-10-14 02:53 (UTC)

Recently, 2.31.0 needs a patch for login to work http://sprunge.us/OjeN

Schumbi commented on 2014-10-17 18:28 (UTC)

With the bundel downloaded, esniper works for me, too. (on ebay.de) You can add 'armv7h' for cubiertruck and so on. Cheers.

crabman commented on 2014-09-13 14:54 (UTC)

please add "armv6h" to the architecture list for raspberry pi

duckdalbe commented on 2014-06-11 07:07 (UTC)

Version 2.31.0 is out.

commented on 2013-06-02 01:58 (UTC)

The I installed libcurl-gnutls and did the cert fix posted by T and that fixed it. Is that cert file is a trustable source to use full time?

bjo commented on 2012-08-28 13:51 (UTC)

updated PKGBUILD, including the patch from peti.

commented on 2012-08-28 13:40 (UTC)

esniper doesn't honor the CURL_CA_BUNDLE variable -- and its author has no intention of changing that. See http://sourceforge.net/tracker/?func=detail&atid=442436&aid=3549789&group_id=45285 for further details (including a patch that would remedy the issue if applied).

commented on 2012-08-28 08:50 (UTC)

I am getting the same error message jorge.costa reported back in December. I attempted the solution that T posted: $ ls -l /etc/ssl/certs/ca-* -rw-r--r-- 1 root root 252698 Jun 12 20:37 /etc/ssl/certs/ca-certificates.crt $ curl http://curl.haxx.se/ca/cacert.pem > /etc/ssl/certs/ca-certificates.crt % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 240k 100 240k 0 0 92596 0 0:00:02 0:00:02 --:--:-- 178k $ ls -l /etc/ssl/certs/ca-* -rw-r--r-- 1 root root 246780 Aug 28 02:29 /etc/ssl/certs/ca-certificates.crt So the certificate file was updated, but the error message did not change. I tried setting CURL_CA_BUNDLE to point explicitly to this file; same results. Does anyone know what's going wrong?

tlevine commented on 2012-05-18 16:10 (UTC)

2.27.0, all ready for uploading http://hacks.thomaslevine.com/esniper-2.27.0-0.src.tar.gz

bjo commented on 2012-03-24 14:34 (UTC)

2.27.0 http://pastebin.com/VgJN042M

commented on 2012-03-18 00:43 (UTC)

I got rid of the CA errors by running; curl http://curl.haxx.se/ca/cacert.pem > /etc/ssl/certs/ca-certificates.crt Which downloads the most recent CA certificates from curl and puts it where curl can use them.

Azulinho commented on 2011-12-21 17:21 (UTC)

Got it: http://www.linuxquestions.org/questions/slackware-14/openssl-ssl-error-code-14090086-verify-the-ca-cert-is-ok-certificate-verify-failed-703523/

Azulinho commented on 2011-12-19 11:53 (UTC)

I still get the CA errors, which curl version are you using? [11:52]:curl --version curl 7.24.0-DEV (x86_64-unknown-linux-gnu) libcurl/7.24.0-DEV OpenSSL/1.0.0e zlib/1.2.5 libidn/1.22 libssh2/1.3.0 librtmp/2.3 Protocols: dict file ftp ftps gopher http https imap imaps pop3 pop3s rtmp rtsp scp sftp smtp smtps telnet tftp Features: AsynchDNS IDN IPv6 Largefile NTLM NTLM_WB SSL libz jcosta@jcosta-uportable[/tmp/yaourt-tmp-jcosta] [11:52]:esniper -m Auction 0: Cannot connect to URL P�: Peer certificate cannot be authenticated with given CA certificates: SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify faile

birdflesh commented on 2011-10-20 06:57 (UTC)

No it doesn't. Quoting from https://wiki.archlinux.org/index.php/Makepkg#Usage : "Before continuing, ensure the "base-devel" group is installed. Packages belonging to this group are not required to be listed as dependencies in PKGBUILD files."

shaurz commented on 2011-10-19 18:33 (UTC)

patch needs to be added to makedepends.

demonicmaniac commented on 2011-09-25 15:31 (UTC)

2.26 has been released upstream. As of the CA bug -> try the new curl in testing and thank falconindy :) demonicmaniac

Slash commented on 2011-08-03 03:25 (UTC)

I get a bunch of errors like this for each auction, then it quits (on both i686 and x86_64): Auction #############: Cannot connect to URL: Peer certificate cannot be authenticated with given CA certificates: SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed Retrying...

barbuk commented on 2011-07-13 12:31 (UTC)

Curl 7.21.7 doesn't come with curl/types.h, the content is now in curl/curl.h. You just have to delete the #include curl/types.h in http.c

shaurz commented on 2011-07-02 17:59 (UTC)

I get this error: gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"esniper\" -DVERSION=\"2.25.0\" -I. -march=x86-64 -mtune=generic -O2 -pipe -MT http.o -MD -MP -MF .deps/http.Tpo -c -o http.o http.c http.c:31:24: fatal error: curl/types.h: No such file or directory compilation terminated. make: *** [http.o] Error 1 ==> ERROR: A failure occurred in build(). Aborting... The build failed.

birdflesh commented on 2011-06-14 13:39 (UTC)

2.25.0 is out. I will also email Ghost1227 about this.

commented on 2011-02-23 13:53 (UTC)

Could you please fix the incorrect ./configure argument to --mandir? With the bogus path currently used in the PKGBUILD file, the system won't find the installed man page.

max_meyer commented on 2011-01-07 19:20 (UTC)

Hi there, might it be possible, that there's a bug in the PKGBUILD? If you install the package with the given configure-line, man does not find the esniper manual. if you change ./configure --prefix=/usr --mandir=/usr/share/ to ./configure --prefix=/usr --mandir=/usr/share/man ^^^ everything works fine. http://aur.pastebin.com/67saWn2C Cheers, dennis